#!/bin/bash

check_nemo_env_vars(){
    [ -z "$ARCH_NAME" ] && fatal "ARCH_NAME not set in env. Check env file"
    [ -z "$NEMO_NETCDF_FORTRAN_PATH" ] && fatal "NEMO_NETCDF_FORTRAN_PATH not set in env. Check env file"
    [ -z "$NEMO_NETCDF_C_PATH" ] && fatal "NEMO_NETCDF_C_PATH not set in env. Check env file"
    [ -z "$NEMO_HDF5_PATH" ] && fatal "NEMO_HDF5_PATH not set in env. Check env file"
    [ -z "$NEMO_XIOS_PATH" ] && fatal "NEMO_XIOS_PATH not set in env. Check env file"
    [ -z "$NEMO_CPP" ] && fatal "NEMO_CPP not set in env. Check env file"
    [ -z "$NEMO_CC" ] && fatal "NEMO_CC not set in env. Check env file"
    [ -z "$NEMO_FC" ] && fatal "NEMO_FC not set in env. Check env file"
    [ -z "$NEMO_FCFLAGS" ] && fatal "NEMO_FCFLAGS not set in env. Check env file"
    [ -z "$NEMO_LDFLAGS" ] && fatal "NEMO_LDFLAGS not set in env. Check env file"
    [ -z "$NEMO_FPPFLAGS" ] && fatal "NEMO_FPPFLAGS not set in env. Check env file"
}
generate_nemo_env_file(){
    cat > arch/$ARCH_NAME.fcm <<EOF
%NCDF_INC            -I$NEMO_NETCDF_FORTRAN_PATH/include
%NCDF_LIB            -L$NEMO_NETCDF_FORTRAN_PATH/lib -L$NEMO_NETCDF_C_PATH/lib -L$NEMO_HDF5_PATH/lib -lhdf5 -lhdf5_hl -lnetcdf -lnetcdff
%XIOS_INC            -I$NEMO_XIOS_PATH/inc
%XIOS_LIB            -L$NEMO_XIOS_PATH/lib -lxios -lstdc++
%CPP                 $NEMO_CPP
%CC                  $NEMO_CC
%FC                  $NEMO_FC
%FCFLAGS             $NEMO_FCFLAGS
%FFLAGS              %FCFLAGS
%LD                  %FC
%LDFLAGS             $NEMO_LDFLAGS
%FPPFLAGS            $NEMO_FPPFLAGS
%AR                  ar
%ARFLAGS             rs
%MK                  gmake
%USER_INC            %NCDF_INC %XIOS_INC
%USER_LIB            %NCDF_LIB %XIOS_LIB
EOF

}