

usage() {
    echo "Use this script to create rundir from an installation"
    echo "Usage: $0 "
    echo -e "\t--installation-dir --resolution"
    echo -e "\t--rundir"
    echo -e "installation-dir must point to the location of the NEMO binary"
    echo -e "hint: NEMO_SRC_BASE/cfgs/YOUR_CFG_NAME/EXP00 ."
}

parse_args() {
    OPTIONS=$(getopt -o "" --long install-dir:,--resolution:,rundir:,help,force -n "$0" -- "$@")
    eval set -- "$OPTIONS"

    while true; do
        case "$1" in
            --install-dir)
                INSTALL_DIR="$2"
                shift 2
            ;;
            --resolution)
                RESOLUTION="$2"
                shift 2
            ;;
            --rundir)
                RUNDIR="$2"
                shift 2
            ;;
            --help)
                usage
                exit 0
            ;;
            --force)
                FORCE=true
                shift
            ;;
            --)
                shift
                break
            ;;
            *)
                usage
                exit 1
            ;;
        esac
    done
}

print_options() {
    info "============================CREATE RUNDIR=========================================="
    into "INSTALLATIO: $INSTALL_DIR" 
    info "RESOLUTION: $RESOLUTION"
    info "RUNDIR: $RUNDIR"
    info "==================================================================================="

    if [ $FORCE = false ]; then
        echo -n "¿FINE? (Y/N)"
        read ANSWER
        case "$ANSWER" in
            [Yy])
                echo ""
                ;;
            [Nn])
                echo "ABORT..."
                exit 0
                ;;
            *)
                echo "ABORT"
                exit 1
                ;;
        esac
    else
        info "Force ENABLED, skip ask to the user"
    fi
}

check_required_args() {
    [ -z $INSTALL_DIR ] && fatal "Select install dir with --install-dir"
    [ -e $INSTALL_DIR/nemo ] || fatal "Unable to find nemo bin, check --install-dir"
    [ -z $RESOLUTION ] fatal "Select resolution with --resolution."
    [ -z $RUNDIR ] && fatal "Select the running directory with --rundir."
}